Bug 1039 - jobmanager-condor doesn't support the java universe
: jobmanager-condor doesn't support the java universe
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: unspecified
: PC All
: P2 enhancement
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-06-25 12:35 by
Modified: 2006-04-07 16:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-06-25 12:35:23
I don't see any code in condor.pm to support the java universe in Condor.  I
have a user that wants to do this.
------- Comment #1 From 2003-06-26 13:26:32 -------
Do you want to take a shot at adding this feature and providing a patch to us?  
What is required to submit a java universe job in condor?

-Stu
------- Comment #2 From 2003-06-26 14:13:51 -------
Sure, I can do it, give me a few days.

I'm having some unrelated issues with the java universe in condor 
right now, after I get that resolved I'll work condor.pm.
------- Comment #3 From 2003-10-16 17:17:01 -------
Garrick,

Where you able to get gram jobs to the condor universe to work?

-Stu
------- Comment #4 From 2005-09-02 10:53:11 -------
This is a really old bug, but since it is also applicable to WS-GRAM so I am
moving it to the wsrf scheduler interface category.  It may be that the solution
to this is to use the extensions element and modify condor.pm to parse that for
condorsubmit elements containing tuples which it already supports.  Perhaps this
should become a more general bug for handling condorsubmit extension elements. 
We should also take this in the context of the existance of an
extension-handling campaign that is even more general.
------- Comment #5 From 2005-11-02 16:52:25 -------
Since the extensions handling stuff is in the trunk and update packages are
available, I'm resolving this bug.  One can add an extension element as follows:

<extensions>
  <condorsubmit name="Universe">Java</condorsubmit>
</extensions>